//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_EmojiAnimationControllerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(EmojiAnimationController), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("SetEmojiText",FUNCTAG_SetEmojiText);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetEmojiText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			EmojiAnimationController obj = (EmojiAnimationController)ToLua.CheckObject(L, 1, typeof(EmojiAnimationController));
			string arg0 = ToLua.CheckString(L, 2);
			bool o = obj.SetEmojiText(arg0);
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

